Debian Bug report logs - #508479
evolution shows a SMIME signed messages as ok even if modified

Package: evolution-data-server; Maintainer for evolution-data-server is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution-data-server is src:evolution-data-server.

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Thu, 11 Dec 2008 17:42:07 UTC

Severity: important

Tags: security

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=564465

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Security Team <team@security.debian.org>, Debian Testing Security Team <secure-testing-team@lists.alioth.debian.org>, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Thu, 11 Dec 2008 17:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Security Team <team@security.debian.org>, Debian Testing Security Team <secure-testing-team@lists.alioth.debian.org>, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Thu, 11 Dec 2008 17:42:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evolution shows a SMIME signed messages as ok even if modified
Date: Thu, 11 Dec 2008 18:41:30 +0100
[Message part 1 (text/plain, inline)]
Package: evolution
Version: 2.22.3.1-1
Severity: important
Tags: security

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

please consider raising the Severity if appropriate.

Attached are two very minimal test mails. you can drag’n’drop them in
evolution. The (self-signed) key.pem contains a certificate, you can
import it a signing authority.

Both messages will be shown as correctly verfied, although one is just a
copy of the other, with the body modified.

Obviously, this is a serious security problem.

Thanks,
Joachim


- -- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-486
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evolution depends on:
ii  dbus                   1.2.1-4           simple interprocess messaging syst
ii  evolution-common       2.22.3.1-1        architecture independent files for
ii  evolution-data-server  2.22.3-1.1        evolution database backend server
ii  gconf2                 2.22.0-1          GNOME configuration database syste
ii  gnome-icon-theme       2.22.0-1          GNOME Desktop icon theme
ii  gtkhtml3.14            3.18.3-1          HTML rendering/editing library - b
ii  libart-2.0-2           2.3.20-2          Library of functions for 2D graphi
ii  libatk1.0-0            1.22.0-1          The ATK accessibility toolkit
ii  libbluetooth2          3.36-1            Library to use the BlueZ Linux Blu
ii  libbonobo2-0           2.22.0-1          Bonobo CORBA interfaces library
ii  libbonoboui2-0         2.22.0-1          The Bonobo UI library
ii  libc6                  2.7-16            GNU C Library: Shared libraries
ii  libcairo2              1.8.4-1           The Cairo 2D vector graphics libra
ii  libcamel1.2-11         2.22.3-1.1        The Evolution MIME message handlin
ii  libdbus-1-3            1.2.1-4           simple interprocess messaging syst
ii  libdbus-glib-1-2       0.76-1            simple interprocess messaging syst
ii  libebook1.2-9          2.22.3-1.1        Client library for evolution addre
ii  libecal1.2-7           2.22.3-1.1        Client library for evolution calen
ii  libedataserver1.2-9    2.22.3-1.1        Utility library for evolution data
ii  libedataserverui1.2-8  2.22.3-1.1        GUI utility library for evolution 
ii  libegroupwise1.2-13    2.22.3-1.1        Client library for accessing group
ii  libexchange-storage1.2 2.22.3-1.1        Client library for accessing Excha
ii  libfontconfig1         2.6.0-3           generic font configuration library
ii  libfreetype6           2.3.7-2           FreeType 2 font engine, shared lib
ii  libgconf2-4            2.22.0-1          GNOME configuration database syste
ii  libglade2-0            1:2.6.3-1         library to load .glade files at ru
ii  libglib2.0-0           2.17.6-1          The GLib library of C routines
ii  libgnome-pilot2        2.0.15-2.4        Support libraries for gnome-pilot
ii  libgnome2-0            2.20.1.1-2        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0      2.20.1.1-1        A powerful object-oriented display
ii  libgnomeui-0           2.20.1.1-2        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0         1:2.22.0-5        GNOME Virtual File System (runtime
ii  libgtk2.0-0            2.12.11-4         The GTK+ graphical user interface 
ii  libgtkhtml3.14-19      3.18.3-1          HTML rendering/editing library - r
ii  libhal1                0.5.11-6          Hardware Abstraction Layer - share
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libldap-2.4-2          2.4.11-1          OpenLDAP libraries
ii  libnm-glib0            0.6.6-2           network management framework (GLib
ii  libnotify1 [libnotify1 0.4.4-3           sends desktop notifications to a n
ii  libnspr4-0d            4.7.1-4           NetScape Portable Runtime Library
ii  libnss3-1d             3.12.0-5          Network Security Service libraries
ii  liborbit2              1:2.14.16-0.1     libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0          1.22.3-1          Layout and rendering of internatio
ii  libpisock9             0.12.3-5          library for communicating with a P
ii  libpisync1             0.12.3-5          synchronization library for PalmOS
ii  libpixman-1-0          0.12.0-1          pixel-manipulation library for X a
ii  libpng12-0             1.2.27-2          PNG library - runtime
ii  libpopt0               1.14-4            lib for parsing cmdline parameters
ii  libsm6                 2:1.0.3-2         X11 Session Management library
ii  libsoup2.4-1           2.4.1-2           an HTTP library implementation in 
ii  libusb-0.1-4           2:0.1.12-13       userspace USB programming library
ii  libx11-6               2:1.1.5-2         X11 client-side library
ii  libxcb-render-util0    0.2.1+git1-1      utility libraries for X C Binding 
ii  libxcb-render0         1.1-1.1           X C Binding, render extension
ii  libxcb1                1.1-1.1           X C Binding
ii  libxcursor1            1:1.1.9-1         X cursor management library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxfixes3             1:4.0.3-2         X11 miscellaneous 'fixes' extensio
ii  libxi6                 2:1.1.4-1         X11 Input extension library
ii  libxinerama1           2:1.0.3-2         X11 Xinerama extension library
ii  libxml2                2.6.32.dfsg-5     GNOME XML library
ii  libxrandr2             2:1.2.3-1         X11 RandR extension library
ii  libxrender1            1:0.9.4-2         X Rendering Extension client libra
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages evolution recommends:
pn  bogofilter | spamassassin    <none>      (no description available)
ii  evolution-plugins            2.22.3.1-1  standard plugins for Evolution
pn  evolution-webcal             <none>      (no description available)
ii  gnome-desktop-data           2.22.3-2    Common files for GNOME 2 desktop a
pn  gnome-pilot-conduits         <none>      (no description available)
ii  yelp                         2.22.1-8+b1 Help browser for GNOME 2

Versions of packages evolution suggests:
ii  bug-buddy                  2.22.0+dfsg-3 GNOME Desktop Environment bug repo
pn  evolution-dbg              <none>        (no description available)
pn  evolution-exchange         <none>        (no description available)
pn  evolution-plugins-experime <none>        (no description available)
ii  gnome-spell                1.0.7-1       GNOME/Bonobo component for spell c
ii  gnupg                      1.4.9-3       GNU privacy guard - a free PGP rep
pn  network-manager            <none>        (no description available)

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklBUMcACgkQ9ijrk0dDIGxh3ACeMaWboLHo3fpTp3qGKNkv6ZFY
agQAn0dutzABqF1A6oVoDaSLIj2hDhFC
=QbCj
-----END PGP SIGNATURE-----
[key.pem (text/plain, attachment)]
[testmail.out (text/plain, attachment)]
[testmail.out2 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Sat, 13 Dec 2008 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 13 Dec 2008 22:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 508479@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 508479@bugs.debian.org
Subject: Re: [Evolution] Bug#508479: evolution shows a SMIME signed messages as ok even if modified
Date: Sat, 13 Dec 2008 23:28:04 +0100
[Message part 1 (text/plain, inline)]
On jeu, 2008-12-11 at 18:41 +0100, Joachim Breitner wrote:
> 
> Attached are two very minimal test mails. you can drag’n’drop them in
> evolution.

I can't drag & drop them to a folder, nor import them from the import
menu, so I'm not really able to reproduce.

Could you send them me directly?

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Sat, 13 Dec 2008 23:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 13 Dec 2008 23:51:02 GMT) Full text and rfc822 format available.

Message #15 received at 508479@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: Joachim Breitner <nomeata@debian.org>, 508479@bugs.debian.org
Subject: Re: [Evolution] Bug#508479: evolution shows a SMIME signed messages as ok even if modified
Date: Sat, 13 Dec 2008 23:47:47 +0000
[Message part 1 (text/plain, inline)]
Hi,

this is the modified one, forwareded using evolution’s
Forward-as-attachement feature. I hope this works.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[Message part 2 (message/rfc822, inline)]
From: me@hier
To: you@there
Subject: test
Date: Thu, 11 Dec 2008 18:34:13 +0100
[Message part 3 (text/plain, inline)]
This is the modified body
[smime.p7s (application/x-pkcs7-signature, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Sun, 14 Dec 2008 10:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 14 Dec 2008 10:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 508479@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 508479@bugs.debian.org
Subject: Re: [Evolution] Bug#508479: evolution shows a SMIME signed messages as ok even if modified
Date: Sun, 14 Dec 2008 11:50:21 +0100
[Message part 1 (text/plain, inline)]
On sam, 2008-12-13 at 23:47 +0000, Joachim Breitner wrote:
> Hi,
> 
> this is the modified one, forwareded using evolution’s
> Forward-as-attachement feature. I hope this works.

Thanks, it worked, and yes, openssl shows the signature as not valid,
while evolution shows it as valid.

I don't know enough evo so I'll forward it upstream.

Can this be exploited? I mean, is it possible to change any (valid)
signed mail and bounce it to somebody else where it'll appear correctly
signed?

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Sun, 14 Dec 2008 11:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 14 Dec 2008 11:00:06 GMT) Full text and rfc822 format available.

Message #25 received at 508479@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 508479@bugs.debian.org
Subject: Re: [Evolution] Bug#508479: evolution shows a SMIME signed messages as ok even if modified
Date: Sun, 14 Dec 2008 10:57:35 +0000
[Message part 1 (text/plain, inline)]
Hi,

Am Sonntag, den 14.12.2008, 11:50 +0100 schrieb Yves-Alexis Perez:
> On sam, 2008-12-13 at 23:47 +0000, Joachim Breitner wrote:
> > this is the modified one, forwareded using evolution’s
> > Forward-as-attachement feature. I hope this works.
> 
> Thanks, it worked, and yes, openssl shows the signature as not valid,
> while evolution shows it as valid.
> 
> I don't know enough evo so I'll forward it upstream.

Thanks

> Can this be exploited? I mean, is it possible to change any (valid)
> signed mail and bounce it to somebody else where it'll appear correctly
> signed?

sorry, haven’t tried it. Probably depends on the exact cause.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Thu, 08 Jan 2009 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Thu, 08 Jan 2009 22:27:03 GMT) Full text and rfc822 format available.

Message #30 received at 508479@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 508479@bugs.debian.org
Subject: Mental Note: Maybe CVE-2008-507?
Date: Thu, 08 Jan 2009 23:26:11 +0100
[Message part 1 (text/plain, inline)]
Hi,

reminder for myself, when I look at this bug again: Check if this bug is
actually
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511196

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Thu, 08 Jan 2009 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Thu, 08 Jan 2009 22:45:05 GMT) Full text and rfc822 format available.

Message #35 received at 508479@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 508479@bugs.debian.org
Subject: Re: [Evolution] Bug#508479: Mental Note: Maybe CVE-2008-507?
Date: Thu, 08 Jan 2009 23:44:04 +0100
[Message part 1 (text/plain, inline)]
On jeu, 2009-01-08 at 23:26 +0100, Joachim Breitner wrote:
> Hi,
> 
> reminder for myself, when I look at this bug again: Check if this bug is
> actually
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511196
> 
Not sure, since openssl manages to reject the signature by itself.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=564465. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Thu, 08 Jan 2009 22:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Sat, 10 Jan 2009 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 10 Jan 2009 10:39:03 GMT) Full text and rfc822 format available.

Message #42 received at 508479@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Joachim Breitner <nomeata@debian.org>
Cc: 508479@bugs.debian.org
Subject: Re: Bug#508479: Mental Note: Maybe CVE-2008-507?
Date: Sat, 10 Jan 2009 11:35:13 +0100
* Joachim Breitner:

> reminder for myself, when I look at this bug again: Check if this bug is
> actually
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511196

No, the OpenSSL bug cannot be triggered by changing message contents
this way.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#508479; Package evolution. (Sat, 14 Feb 2009 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sat, 14 Feb 2009 13:15:03 GMT) Full text and rfc822 format available.

Message #47 received at 508479@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 508479@bugs.debian.org
Cc: debian-security@lists.debian.org
Subject: Re: [Evolution] Bug#508479: evolution shows a SMIME signed messages as ok even if modified
Date: Sat, 14 Feb 2009 14:13:58 +0100
[Message part 1 (text/plain, inline)]
On jeu, 2008-12-11 at 18:41 +0100, Joachim Breitner wrote:
> please consider raising the Severity if appropriate.
> 
> Attached are two very minimal test mails. you can drag’n’drop them in
> evolution. The (self-signed) key.pem contains a certificate, you can
> import it a signing authority.
> 
> Both messages will be shown as correctly verfied, although one is just a
> copy of the other, with the body modified.

For the record, CVE-2009-0547 has been assigned to this issue.
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 27 Feb 2009 20:30:20 GMT) Full text and rfc822 format available.

Tags removed: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 04 Mar 2009 19:46:29 GMT) Full text and rfc822 format available.

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sun, 08 Mar 2009 15:39:05 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Sun, 08 Mar 2009 15:39:06 GMT) Full text and rfc822 format available.

Message #56 received at 508479-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 508479-close@bugs.debian.org
Subject: Bug#508479: fixed in evolution-data-server 2.24.5-2
Date: Sun, 08 Mar 2009 15:17:08 +0000
Source: evolution-data-server
Source-Version: 2.24.5-2

We believe that the bug you reported is fixed in the latest version of
evolution-data-server, which is due to be installed in the Debian FTP archive:

evolution-data-server-common_2.24.5-2_all.deb
  to pool/main/e/evolution-data-server/evolution-data-server-common_2.24.5-2_all.deb
evolution-data-server-dbg_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/evolution-data-server-dbg_2.24.5-2_amd64.deb
evolution-data-server-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/evolution-data-server-dev_2.24.5-2_amd64.deb
evolution-data-server_2.24.5-2.diff.gz
  to pool/main/e/evolution-data-server/evolution-data-server_2.24.5-2.diff.gz
evolution-data-server_2.24.5-2.dsc
  to pool/main/e/evolution-data-server/evolution-data-server_2.24.5-2.dsc
evolution-data-server_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/evolution-data-server_2.24.5-2_amd64.deb
libcamel1.2-14_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libcamel1.2-14_2.24.5-2_amd64.deb
libcamel1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libcamel1.2-dev_2.24.5-2_amd64.deb
libebackend1.2-0_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libebackend1.2-0_2.24.5-2_amd64.deb
libebackend1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libebackend1.2-dev_2.24.5-2_amd64.deb
libebook1.2-9_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libebook1.2-9_2.24.5-2_amd64.deb
libebook1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libebook1.2-dev_2.24.5-2_amd64.deb
libecal1.2-7_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libecal1.2-7_2.24.5-2_amd64.deb
libecal1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libecal1.2-dev_2.24.5-2_amd64.deb
libedata-book1.2-2_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libedata-book1.2-2_2.24.5-2_amd64.deb
libedata-book1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libedata-book1.2-dev_2.24.5-2_amd64.deb
libedata-cal1.2-6_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libedata-cal1.2-6_2.24.5-2_amd64.deb
libedata-cal1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libedata-cal1.2-dev_2.24.5-2_amd64.deb
libedataserver1.2-11_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libedataserver1.2-11_2.24.5-2_amd64.deb
libedataserver1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libedataserver1.2-dev_2.24.5-2_amd64.deb
libedataserverui1.2-8_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libedataserverui1.2-8_2.24.5-2_amd64.deb
libedataserverui1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libedataserverui1.2-dev_2.24.5-2_amd64.deb
libegroupwise1.2-13_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libegroupwise1.2-13_2.24.5-2_amd64.deb
libegroupwise1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libegroupwise1.2-dev_2.24.5-2_amd64.deb
libexchange-storage1.2-3_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libexchange-storage1.2-3_2.24.5-2_amd64.deb
libexchange-storage1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libexchange-storage1.2-dev_2.24.5-2_amd64.deb
libgdata-google1.2-1_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libgdata-google1.2-1_2.24.5-2_amd64.deb
libgdata-google1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libgdata-google1.2-dev_2.24.5-2_amd64.deb
libgdata1.2-1_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libgdata1.2-1_2.24.5-2_amd64.deb
libgdata1.2-dev_2.24.5-2_amd64.deb
  to pool/main/e/evolution-data-server/libgdata1.2-dev_2.24.5-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508479@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated evolution-data-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Mar 2009 14:58:11 +0100
Source: evolution-data-server
Binary: evolution-data-server evolution-data-server-common evolution-data-server-dev evolution-data-server-dbg libedataserver1.2-11 libedataserver1.2-dev libcamel1.2-14 libcamel1.2-dev libebook1.2-9 libebook1.2-dev libedataserverui1.2-8 libedataserverui1.2-dev libedata-book1.2-2 libedata-book1.2-dev libecal1.2-7 libecal1.2-dev libedata-cal1.2-6 libedata-cal1.2-dev libegroupwise1.2-13 libegroupwise1.2-dev libexchange-storage1.2-3 libexchange-storage1.2-dev libgdata1.2-1 libgdata1.2-dev libgdata-google1.2-1 libgdata-google1.2-dev libebackend1.2-0 libebackend1.2-dev
Architecture: source all amd64
Version: 2.24.5-2
Distribution: unstable
Urgency: low
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 evolution-data-server - evolution database backend server
 evolution-data-server-common - architecture independent files for Evolution Data Server
 evolution-data-server-dbg - evolution database backend server with debugging symbols
 evolution-data-server-dev - Development files for evolution-data-server (metapackage)
 libcamel1.2-14 - The Evolution MIME message handling library
 libcamel1.2-dev - Development files for libcamel
 libebackend1.2-0 - Utility library for evolution data servers
 libebackend1.2-dev - Utility library for evolution data servers (development files)
 libebook1.2-9 - Client library for evolution address books
 libebook1.2-dev - Client library for evolution address books (development files)
 libecal1.2-7 - Client library for evolution calendars
 libecal1.2-dev - Client library for evolution calendars (development files)
 libedata-book1.2-2 - Backend library for evolution address books
 libedata-book1.2-dev - Backend library for evolution address books (development files)
 libedata-cal1.2-6 - Backend library for evolution calendars
 libedata-cal1.2-dev - Backend library for evolution calendars (development files)
 libedataserver1.2-11 - Utility library for evolution data servers
 libedataserver1.2-dev - Utility library for evolution data servers (development files)
 libedataserverui1.2-8 - GUI utility library for evolution data servers
 libedataserverui1.2-dev - GUI utility library for evolution data servers (development files
 libegroupwise1.2-13 - Client library for accessing groupwise POA through SOAP interface
 libegroupwise1.2-dev - Development files for libegroupwise
 libexchange-storage1.2-3 - Client library for accessing Exchange server through webdav
 libexchange-storage1.2-dev - Backend library for evolution calendars (development files)
 libgdata-google1.2-1 - Client library for accessing Google POA through SOAP interface
 libgdata-google1.2-dev - Client library for accessing Google POA (development files)
 libgdata1.2-1 - Client library for accessing Google POA through SOAP interface
 libgdata1.2-dev - Client library for accessing Google POA (development files)
Closes: 508479
Changes: 
 evolution-data-server (2.24.5-2) unstable; urgency=low
 .
   * Upload to unstable.
   * debian/patches:
     - debian/patches/67_detect-change-signed-messages added.    closes: #508479
Checksums-Sha1: 
 924950ba848d4067ba30593ed7d3d1f6640067e5 2738 evolution-data-server_2.24.5-2.dsc
 19e1e85dc39ae830944454f2487c1fc7ae82fd12 22073 evolution-data-server_2.24.5-2.diff.gz
 32c4621697c8f41db52436358c8c49f91418e7e8 2225580 evolution-data-server-common_2.24.5-2_all.deb
 9620b1bc90181e37738d1b0a11ed2d82e7bfc877 590228 evolution-data-server_2.24.5-2_amd64.deb
 bb1d48d49b0d0250a4992d59b1ca9076c705b592 87442 evolution-data-server-dev_2.24.5-2_amd64.deb
 af7c4fa9bb2656892f51e5fb48f1be8548f849d9 3763276 evolution-data-server-dbg_2.24.5-2_amd64.deb
 99595e48e32ded15d7f0d024c67dced461ff75a5 160676 libedataserver1.2-11_2.24.5-2_amd64.deb
 da6c60e7631eeb3e490f34d4b6a4e0d22b458da7 172314 libedataserver1.2-dev_2.24.5-2_amd64.deb
 dbac84c99fb6669ab02bfbd5035f4ffce861c862 466866 libcamel1.2-14_2.24.5-2_amd64.deb
 38d86e0ee321d8bbddb5514ecf5f80b245ad81ec 157770 libcamel1.2-dev_2.24.5-2_amd64.deb
 396ba8a8c8d7f4668a6801249986a1b16526d3cc 174458 libebook1.2-9_2.24.5-2_amd64.deb
 f48fa6fae6b75e4d985b6607624f4df1ded96d5e 165910 libebook1.2-dev_2.24.5-2_amd64.deb
 1d2a5efd68fabe1ad62885d3c7b5bc485d508350 170722 libedataserverui1.2-8_2.24.5-2_amd64.deb
 eaca7c3e9fc97347022a0c96edc75e8529deb0f3 95046 libedataserverui1.2-dev_2.24.5-2_amd64.deb
 2c1d48dd320c85e329eb143b10f2d09af2079dbe 139240 libedata-book1.2-2_2.24.5-2_amd64.deb
 9aaae8aac71668561aeada2c28aefc8862a5befc 103756 libedata-book1.2-dev_2.24.5-2_amd64.deb
 ccd7e9c465491021bc0b0debfa76cc17ce83ef08 363608 libecal1.2-7_2.24.5-2_amd64.deb
 7592a6256f2fbc02d0faf6000c8016b37cff6298 211604 libecal1.2-dev_2.24.5-2_amd64.deb
 4bf92004b56fa096e1061cdc20d08ec75cd1a8ad 152296 libedata-cal1.2-6_2.24.5-2_amd64.deb
 bce92a504204d5025904d3376bee384e3e2869ea 145850 libedata-cal1.2-dev_2.24.5-2_amd64.deb
 cb463f9ed921bf87c67cbdaa57f60c14425ef5b8 155686 libegroupwise1.2-13_2.24.5-2_amd64.deb
 9f5e009fb690a1f22725c9a08916ce6489846d0e 96206 libegroupwise1.2-dev_2.24.5-2_amd64.deb
 3585f608458dafd14a17258edb21feb094cf7ec2 218990 libexchange-storage1.2-3_2.24.5-2_amd64.deb
 0ebdeaddc5a8e35c91845b2b37622f6037d8092a 126922 libexchange-storage1.2-dev_2.24.5-2_amd64.deb
 64285b77e0746efcb32a7fedb4601c195951074b 103684 libgdata1.2-1_2.24.5-2_amd64.deb
 9fa56ee26b3e084a723759359b1fab61d0404788 90202 libgdata1.2-dev_2.24.5-2_amd64.deb
 0f06732ff13b79c9e98d634e748ff675f3980bc7 94936 libgdata-google1.2-1_2.24.5-2_amd64.deb
 7063120f56de916f0292e4af70a7e35536bd2fa1 88506 libgdata-google1.2-dev_2.24.5-2_amd64.deb
 950e485794a163e8d263d837caa73d222335d67e 96944 libebackend1.2-0_2.24.5-2_amd64.deb
 8b7aecead126a1863bef629aad29315850ec9bf2 89270 libebackend1.2-dev_2.24.5-2_amd64.deb
Checksums-Sha256: 
 2dbd1e3b8c5a4ad9a4f854e0c38fa12894a67b0aa070975563d26c97a49b5827 2738 evolution-data-server_2.24.5-2.dsc
 d3539ae01cafeb7b68aff834ea912f2b69c3915f9a0aa01e2cfa21d80a774165 22073 evolution-data-server_2.24.5-2.diff.gz
 cc29fd10ba92f51243fc8e50b55e9bcb36835f2ad63c45d0ef28b732b37dd674 2225580 evolution-data-server-common_2.24.5-2_all.deb
 f18e831a67c4e9596806c9de9273ba16b9e4929df907c9664bc9a852eb1d904c 590228 evolution-data-server_2.24.5-2_amd64.deb
 d766bdfe666d1ee0b765c85246952c1b81dc4adc477d5e3bccdd28fd88e6129a 87442 evolution-data-server-dev_2.24.5-2_amd64.deb
 8b8c2ac48e040c255fd04840ead4be40c1ce9a97a47476605be6deac25c3110a 3763276 evolution-data-server-dbg_2.24.5-2_amd64.deb
 fe7aa1a35a0766434c8b411ad55b031ddca92fda043b5acb28bdcfa167d42037 160676 libedataserver1.2-11_2.24.5-2_amd64.deb
 f4f4d75243dc504d66b9e82bf34642f3468661a6b1bf1f93e53e83a63e531760 172314 libedataserver1.2-dev_2.24.5-2_amd64.deb
 213799b89c46d29d6bbdb675288633b748cdcd483c25dd141e57ba3fe91cc785 466866 libcamel1.2-14_2.24.5-2_amd64.deb
 734f2b8d28f402a76548b2b6037e779e12ed0bfac2c285266978b6f77cbd9455 157770 libcamel1.2-dev_2.24.5-2_amd64.deb
 532a743606b8972e6d01360aac78a8207c9c5b29f0d9b22eee0c29445c93718d 174458 libebook1.2-9_2.24.5-2_amd64.deb
 7db07b3a6a1a647d9333b8a8161fac9d194ed07546b3ae29558bbfe580a99d0f 165910 libebook1.2-dev_2.24.5-2_amd64.deb
 6c14aa8f10cc13288cf02172a53071d68785c6fa36977539d095e65639bc842f 170722 libedataserverui1.2-8_2.24.5-2_amd64.deb
 65a97b3e2508da47a45c69b9c46eae31156d77a67230c3a4053e994933cee950 95046 libedataserverui1.2-dev_2.24.5-2_amd64.deb
 9dea2e5c972306b721c815b6947a1bdab6e292725a77b84f0b8f9bfbc9139192 139240 libedata-book1.2-2_2.24.5-2_amd64.deb
 c9490836df8c31af817ace132d4e4b9f267f24e17bd72899fb522d1baa8ed776 103756 libedata-book1.2-dev_2.24.5-2_amd64.deb
 cc875b31aae114b21ae9e960881c92576d7cf78e15c44b4ab827abc31b7e019b 363608 libecal1.2-7_2.24.5-2_amd64.deb
 a942c04fe3c60eb11ab13cff7fee94958a7cdb202153b933402b1a5abfc1eb29 211604 libecal1.2-dev_2.24.5-2_amd64.deb
 b2cf7ee7b0878587fb4d043221b9625f7c77fa3fa752d0a962e676afa32863fa 152296 libedata-cal1.2-6_2.24.5-2_amd64.deb
 9e1ee6cd3d33f592a8e4a6923b0ba1c43b6d7f8838b5163d21fffa30b891193a 145850 libedata-cal1.2-dev_2.24.5-2_amd64.deb
 3f17437f832758dfdca1473f691be0fea58bd97f5618600305008b8a7dcc318c 155686 libegroupwise1.2-13_2.24.5-2_amd64.deb
 1f7fa8ec5267ae934625977690c72008584acd152e8aff709b7cd90dc9808a69 96206 libegroupwise1.2-dev_2.24.5-2_amd64.deb
 09c9652184ecb631f8f31fdf3b53e7bdaa00653f7b80940c4ce10d8e9aeaa345 218990 libexchange-storage1.2-3_2.24.5-2_amd64.deb
 640afc46800747f970261af075adbd426034baceee28f6af00e8bd5d23061408 126922 libexchange-storage1.2-dev_2.24.5-2_amd64.deb
 b803d540ce32fbc0c6048f6bac07be227708a47700cb3d75116ec826af577abb 103684 libgdata1.2-1_2.24.5-2_amd64.deb
 ac698f27867f16beba76a2e18e4f6940ce463273f5ed2a89fec5f5e1aeb728be 90202 libgdata1.2-dev_2.24.5-2_amd64.deb
 2313f66005e30dfbd88e5545770775e966df8d187e0eb05b3499b9317b941451 94936 libgdata-google1.2-1_2.24.5-2_amd64.deb
 02d7e3bd0f6039cabe6d86b0b30ffa59c43ff60f6a9d2cb0acb7605ffc0bf0e6 88506 libgdata-google1.2-dev_2.24.5-2_amd64.deb
 411e01d58f7325e60998ab70fae022f30f844fc193858af8ed874434f6c6e2a1 96944 libebackend1.2-0_2.24.5-2_amd64.deb
 175335425d854a82591779186fd96cafc6a9ef409320a1bc37d5798d76ad9cf5 89270 libebackend1.2-dev_2.24.5-2_amd64.deb
Files: 
 df11199f281408f1b088b14e0f48c5e8 2738 gnome optional evolution-data-server_2.24.5-2.dsc
 01b5aa4f3a459ae5a3f847ae1fba669c 22073 gnome optional evolution-data-server_2.24.5-2.diff.gz
 e86d81e1f11bd577d4756f078b92e67a 2225580 gnome optional evolution-data-server-common_2.24.5-2_all.deb
 5760ecaec214ed0281962f156a8d0b0a 590228 gnome optional evolution-data-server_2.24.5-2_amd64.deb
 7f9e26dca3bd39e77357ba0531959cd6 87442 devel optional evolution-data-server-dev_2.24.5-2_amd64.deb
 6f820273b86475267b0de437e2ea1c43 3763276 gnome extra evolution-data-server-dbg_2.24.5-2_amd64.deb
 a077f3e59638dec478f4b084196d5391 160676 libs optional libedataserver1.2-11_2.24.5-2_amd64.deb
 b7ab236b0588f7d0daf7984f09a2b29e 172314 libdevel optional libedataserver1.2-dev_2.24.5-2_amd64.deb
 3f1a73cb77749c7c08878caff0890915 466866 libs optional libcamel1.2-14_2.24.5-2_amd64.deb
 4880cf74d2e1f5f0589c089e335e3292 157770 libdevel optional libcamel1.2-dev_2.24.5-2_amd64.deb
 67d2722fa461a6fd7d34d8665f93641d 174458 libs optional libebook1.2-9_2.24.5-2_amd64.deb
 d0f8f03bd447f8b40e111ba8cca5613a 165910 libdevel optional libebook1.2-dev_2.24.5-2_amd64.deb
 9b09f5893b3093a59727d483f35d761c 170722 libs optional libedataserverui1.2-8_2.24.5-2_amd64.deb
 68d501a2482f4d14f9d2ca8d07aa49be 95046 libdevel optional libedataserverui1.2-dev_2.24.5-2_amd64.deb
 87e0616b5a07a4c6b67a707e6ad3d81f 139240 libs optional libedata-book1.2-2_2.24.5-2_amd64.deb
 9370a414c7fd51e822478c967b6b3db2 103756 libdevel optional libedata-book1.2-dev_2.24.5-2_amd64.deb
 dfb0b81c1ae454ea5027a29ca5637151 363608 libs optional libecal1.2-7_2.24.5-2_amd64.deb
 d64aa2b8db327002e4d791879e246544 211604 libdevel optional libecal1.2-dev_2.24.5-2_amd64.deb
 3254cbbb071f0c8030849fca87814829 152296 libs optional libedata-cal1.2-6_2.24.5-2_amd64.deb
 74625b615a162edcb5439fe6a70471db 145850 libdevel optional libedata-cal1.2-dev_2.24.5-2_amd64.deb
 2d65321902b60dd020f51ce6843cc099 155686 libs optional libegroupwise1.2-13_2.24.5-2_amd64.deb
 9377981d0edafd4a69893269e1034981 96206 libdevel optional libegroupwise1.2-dev_2.24.5-2_amd64.deb
 5e4f89114a30be4afe6cb917e21337dc 218990 libs optional libexchange-storage1.2-3_2.24.5-2_amd64.deb
 3a45b086f724b8e0cd89eb862326277d 126922 libdevel optional libexchange-storage1.2-dev_2.24.5-2_amd64.deb
 951455dbbfa190f952d8a8cabccf62b2 103684 libs optional libgdata1.2-1_2.24.5-2_amd64.deb
 d85e38ce95d48bf691f9c2adbccb6b58 90202 libdevel optional libgdata1.2-dev_2.24.5-2_amd64.deb
 97ed167eacd01413efee9757b628882c 94936 libs optional libgdata-google1.2-1_2.24.5-2_amd64.deb
 b51c1a24085ce21ec7942d4e253b2c4e 88506 libdevel optional libgdata-google1.2-dev_2.24.5-2_amd64.deb
 f251841c24805fea614bfec18ab7058c 96944 libs optional libebackend1.2-0_2.24.5-2_amd64.deb
 4f2ec898399fe3c6e64509d33326c25a 89270 libdevel optional libebackend1.2-dev_2.24.5-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmz4B8ACgkQTUTAIMXAW64dVgCgrXrtY6xGhBBt0C07azAiGptT
m80An3BfwBpE0TBP0U6571R//07u+i2F
=9EPO
-----END PGP SIGNATURE-----





Bug reassigned from package `evolution' to `evolution-data-server'. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Mon, 06 Apr 2009 16:12:06 GMT) Full text and rfc822 format available.

Bug reassigned from package `evolution-data-server' to `evolution-data-server'. Request was from Nico Golde <nion@debian.org> to control@bugs.debian.org. (Mon, 06 Apr 2009 16:24:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 May 2009 07:37:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:14:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.